Month: April 2018

Updating Python on MacOS Sierra

I started getting this error while pip installing a package from PyPi today: ssl.SSLError: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version It looks like python is having trouble talking to PyPi, which has started requiring modern TLS 1.2. In case you missed the news, TLS 1.0 and 1.1 are being phased out internet-wide this year. Here’s the Python Software Foundation’s blog post about it. MacOS currently […]

Continue Reading